Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## org.springframework.web.portlet.bind.annotation
Annotation Type ActionMapping

    @Target(value=METHOD)
    @Retention(value=RUNTIME)
    @Documented
    public @interface ActionMapping

Annotation for mapping Portlet action requests onto handler methods.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `RequestMapping`

Optional Element Summary
`java.lang.String[]` | `params` The parameters of the mapped request, narrowing the primary mapping.
`java.lang.String` | `value` The name of the action, according to the Portlet 2.0 "javax.portlet.action" parameter.

### value

    public abstract java.lang.String value

  The name of the action, according to the Portlet 2.0 "javax.portlet.action" parameter.

  If not specified, the method will be used as default handler: i.e. for action requests where no specific action mapping was found.

  Note that all such annotated action methods only apply within the `@RequestMapping` constraints of the containing handler class.

  See Also:
    `ActionRequest.ACTION_NAME`
  Default:
    ""

### params

    public abstract java.lang.String[] params

  The parameters of the mapped request, narrowing the primary mapping.

  Same format for any environment: a sequence of "myParam=myValue" style expressions, with a request only mapped if each such parameter is found to have the given value. "myParam" style expressions are also supported, with such parameters having to be present in the request (allowed to have any value). Finally, "!myParam" style expressions indicate that the specified parameter is not supposed to be present in the request.

  See Also:
    `RequestMapping.params()`
  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT